<?php

namespace Drupal\status_dashboard\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Status dashboard form.
 */
class ClientSiteForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function form(array $form, FormStateInterface $form_state): array {
    /** @var \Drupal\status_dashboard\Entity\ClientSite $entity */
    $form = parent::form($form, $form_state);

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $result = parent::save($form, $form_state);
    $message_args = ['%label' => $this->entity->label()];
    $message = $result == SAVED_NEW
      ? $this->t('Created new dashboard tags %label.', $message_args)
      : $this->t('Updated dashboard tags %label.', $message_args);
    $this->messenger()->addStatus($message);
    $form_state->setRedirectUrl(Url::fromRoute('status_dashboard.dashboard'));
    return $result;
  }

}
